Name:           imap-upload
Version:        1.2
Release:        10%{?dist}
Summary:        A tool for uploading a local mbox file to IMAP4 server
BuildArch:      noarch 
Group:          Applications/Internet
License:        MIT
URL:            http://imap-upload.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.zip
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:       python

%description
IMAP Upload is a tool for uploading a local mbox file to IMAP4 server. The
most stable way to migrate to Google Mail. The features include support for
the mbox format, preserving the delivery time of the messages, automatic
retry when the connection is aborted, keep a log of failed messages in mbox
format, etc.

%prep
%setup -q
sed -i -e '1i#!/usr/bin/python' imap_upload.py

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 imap_upload.py $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc License.txt
%{_bindir}/imap_upload.py

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Apr  6 2011 Jean-Francois Saucier <jsaucier@gmail.com> - 1.2-3
- Fix as per the suggestion on bug #675426

* Sat Feb  5 2011 Jean-Francois Saucier <jsaucier@gmail.com> - 1.2-2
- Change Gmail for Google Mail to be less ambiguous with the Gmail trademark

* Fri Feb  4 2011 Jean-Francois Saucier <jsaucier@gmail.com> - 1.2-1
- Initial build for Fedora
